Subject: bug#53633: 29.0.50; eldoc error: (void-variable o)

From: Jean Louis <[email-masked]>
Date: Fri, 17 Jun 2022 19:58:02 +0300

* Lars Ingebrigtsen <[email-masked]> [2022-02-02 20:53]:
> Jean Louis <[email-masked]> writes:
> 
> >> Do you also see this problem after doing a "git pull"?
> >
> > I can just assume that I found the cause of that bug, though cannot be
> > sure.
> >
> > By mistake I wrote "o" somewhere in the Emacs Lisp file before the ";", like:
> >
> > o;;;
> >
> > But it should not happen.
> >
> > Yes, I use development version.
> 
> Right.  But did this problem appear in a running Emacs after you did a
> "git pull" while it was running?  I'm wondering whether these errors are
> triggered by some (changed) parts of the eldoc machinery being loaded
> into a running Emacs...

I am afraid I cannot know how to reproduce this again. Please close
this bug.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/